Bug 472442

Summary: NetworkManager-glib-devel BuildRequires breaks s390x
Product: [Fedora] Fedora Reporter: Brad Hinson <bhinson>
Component: PackageKitAssignee: Richard Hughes <richard>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 10CC: hpicht, lmacken, rhughes, richard, robin.norwood, tuxbrewr
Target Milestone: ---   
Target Release: ---   
Hardware: s390x   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-16 11:12:13 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 467765    

Description Brad Hinson 2008-11-20 15:49:00 EST
Description of problem:
Currently NetworkManager has ExcludeArch s390x, which means as-is, PackageKit doesn't build, due to PackageKit BuildRequires NetworkManager-glib-devel.

On s390x, rpmbuild without NetworkManager-glib-devel installed (forced with --nodeps) builds successfully.  Can we add "%ifnarch s390 s390x" around this BuildRequires?

Version-Release number of selected component (if applicable):
PackageKit-0.3.10-2.fc9
Comment 1 Richard Hughes 2008-11-21 06:02:25 EST
Is the NetworkManager build failure on s390x fixable? I would rather get NM fixed on s390x rather than cut the PK dependency chain. If NM is 100% unbuildable on s390x (which seems odd to me) then I guess we can ifdef the dep.
Comment 2 Bug Zapper 2008-11-26 00:42:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping